Bug 87121 - CMIS Google Drive fails on accounts with password which includes special characters
Summary: CMIS Google Drive fails on accounts with password which includes special char...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-08 21:33 UTC by kurt forrester
Modified: 2019-12-03 14:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kurt forrester 2014-12-08 21:33:11 UTC
Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243

Also on 4.4.0.0 beta1 

Windows 8.1

I am trying to connect to a google account where the password includes several special characters in the password. The CMIS fails to return 'Google Drive' in the repository dropdown box which causes the failure of the connection to complete.

Subsequently I created a 'fresh' gmail account where I set the password to a simple ascii only password and the connection works.

There appears to be an issue with the escaping of the password when handling the authorisation.

Kurt
Comment 1 Joel Madero 2014-12-09 01:26:21 UTC
Hey Kurt,

Can you provide step by step instructions on how to do this? It's always best for the reporter of a bug to provide step by step instructions because it's impossible for us to know everything that LibreOffice is capable of and is almost always faster for a user to explain the use case, give explicit instructions, and then we'll try to reproduce.

Please include an example password that we can try for our google drive account 

Setting to NEEDINFO - once you provide clear steps please set the bug to UNCONFIRMED. Thanks!
Comment 2 kurt forrester 2014-12-09 08:46:06 UTC
With Libreoffice set to "Use LibreOffice dialogue boxes" checked (Tools->Options->LibreOffice->General)

1. Open new Writer document
2. Save As
3. Clicker "Server..." button
4. Give server name `server name`
5. Select "CMIS" file service type
6. Server details "Google Drive"
7. Press refresh button next to Repository dropdown box
8. Fill in username and password (need to employ a password such as `&password` specifically with ampersand)
9. Nothing happens

What should happen
If the gmail account has a password without ampersand then the connection is made and the repository "Google Drive" appears in the dropdown list enabling the OK button to be clicked.

Hope that is enough to replicate the problem.

Thanks,

Kurt
Comment 3 kurt forrester 2014-12-10 04:16:18 UTC
just setting to unconfirmed after updated steps.
Comment 4 Joel Madero 2014-12-10 17:33:40 UTC
(In reply to kurt forrester from comment #2)
> With Libreoffice set to "Use LibreOffice dialogue boxes" checked
> (Tools->Options->LibreOffice->General)
> 
> 1. Open new Writer document
> 2. Save As
> 3. Clicker "Server..." button
> 4. Give server name `server name`
> 5. Select "CMIS" file service type
> 6. Server details "Google Drive"

I'm not seeing this step. When I select CMIS and then do the dropdown next to "Server Type" I see the following:

Alfresco 4
IBM FileNet P8
Lotus Live Files
Nuxeo 5.4
OpenDataSpace
OpenText ELS 10.2.0
SharePoint 2010

Are you using an extension?
Comment 5 kurt forrester 2014-12-11 05:58:15 UTC
I am using the vanilla version 4.3.4.1 from the Document Foundation website (http://donate.libreoffice.org/home/dl/win-x86/4.3.4/en-GB/LibreOffice_4.3.4_Win_x86.msi). This is a new feature within the CMIS system so unless you are running the same version then I think you will not see the functionality that I and reporting against.

Can you confirm you are using Windows and the version noted in the bug report?

Kurt
Comment 6 Joel Madero 2014-12-16 16:54:25 UTC
Windows 7
LibreOffice 4.3.4.1 release

Confirmed:

Setting to:
New
Comment 7 Joel Madero 2014-12-16 17:07:17 UTC
Adding Cedric as he was involved with implementation of Google Drive stuff.
Comment 8 kurt forrester 2015-01-19 11:21:52 UTC
Bump
Comment 9 Joel Madero 2015-01-21 23:01:01 UTC
Please don't "bump" bugs - it literally does nothing other than annoy developers and clog the bug tracker. Thanks
Comment 10 Cédric Bosdonnat 2015-01-22 07:58:45 UTC
Just to mention that I really have no time to work on it these days... will thus suffer from delay in fixing it.
Comment 11 QA Administrators 2017-03-06 15:50:59 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2019-12-03 14:27:16 UTC
Dear kurt forrester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug